高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
MAUserLocationRepresentation Class Reference

`#include <MAUserLocationRepresentation.h>`

Inheritance diagram for MAUserLocationRepresentation:

## Properties
BOOL | showsAccuracyRing
BOOL | showsHeadingIndicator
UIColor * | fillColor
UIColor * | strokeColor
CGFloat | lineWidth
UIColor * | locationDotBgColor
UIColor * | locationDotFillColor
BOOL | enablePulseAnnimation
UIImage * | image

## Detailed Description

用户位置显示样式控制 User location display style control

## Property Documentation

## ◆ enablePulseAnnimation

- (BOOL) enablePulseAnnimation
| read write nonatomic assign

内部蓝色圆点是否使用律动效果, 默认YES Whether to use pulsating effect for inner blue dot, default YES

## ◆ fillColor

- (UIColor*) fillColor
| read write nonatomic strong

精度圈 填充颜色, 默认 kAccuracyCircleDefaultColor Accuracy circle fill color, default is kAccuracyCircleDefaultColor

## ◆ image

- (UIImage*) image
| read write nonatomic strong

定位图标, 与蓝色原点互斥 Location icon, mutually exclusive with the blue dot

## ◆ lineWidth

- (CGFloat) lineWidth
| read write nonatomic assign

精度圈 边线宽度，默认0 Accuracy circle border width, default is 0

## ◆ locationDotBgColor

- (UIColor*) locationDotBgColor
| read write nonatomic strong

定位点背景色，不设置默认白色 Positioning point background color, default white if not set

## ◆ locationDotFillColor

- (UIColor*) locationDotFillColor
| read write nonatomic strong

定位点蓝色圆点颜色，不设置默认蓝色 Positioning point blue dot color, default blue if not set

## ◆ showsAccuracyRing

- (BOOL) showsAccuracyRing
| read write nonatomic assign

精度圈是否显示，默认YES Whether to show the accuracy circle, default is YES

## ◆ showsHeadingIndicator

- (BOOL) showsHeadingIndicator
| read write nonatomic assign

是否显示方向指示(MAUserTrackingModeFollowWithHeading模式开启)。默认为YES Whether to show the direction indicator (MAUserTrackingModeFollowWithHeading mode enabled). Default is YES

## ◆ strokeColor

- (UIColor*) strokeColor
| read write nonatomic strong

精度圈 边线颜色, 默认 kAccuracyCircleDefaultColor Accuracy circle border color; default is kAccuracyCircleDefaultColor

The documentation for this class was generated from the following file:

- MAUserLocationRepresentation.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。